Arrowhead2Block Example |
Using Programming Languages other than VBA
Sub Example_ArrowHead2Block() ' This example creates an aligned dimension object in model space ' and then alters the visible appearance (shape) of the arrowhead ' using the ArrowHeadBlock property. ' Use the ArrowHeadBlock property to set the arrowhead to an existing ' block object containing a custom Circle object Dim DimPointAngularObj As AcadDim3PointAngular Dim AngleVertex(0 To 2) As Double Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double Dim TextPoint(0 To 2) As Double Dim BlockName As String ' Define the new Dim3PointAngular object AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0 FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0 SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0 TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0 ' Create the new Dim3PointAngular object in model space Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint) ZoomAll ' Set arrowhead type to user-defined to allow ' the use of a block as the new arrowhead 'dimObj.ArrowheadType = acArrowUserDefined DimPointAngularObj.Arrowhead1Block = "CBlock" DimPointAngularObj.Arrowhead2Block = "CBlock" ZoomAll ' Read and display current arrowhead block name BlockName = DimPointAngularObj.Arrowhead2Block MsgBox "The arrowhead block name for this object is: " & BlockName End Sub
Comments? |